<?php

// V-IR: 学習モード、送信モードの切り替えトグルボタン
// &irmode(文字列);
   
// ボタンの表示
function plugin_irmode_inline() {

  global  $vars,$script;
  $tgl = "irdata\\LMODETGL";
  $page = $vars['page'];
	 
# $args = func_get_args();
# $fn  = $args[0];
# if (!$str) { $str=$fn; }
# $page = $vars['page'];

global $str ;
  
// トグルファイルの有無によってボタンの表示を変える
if (file_exists($tgl)) {
  // 学習モード時
  $str =
    "<form action='$script' method='post' style='display:inline'>" .
    "<input type='hidden' name='cmd' value='irmode' />" .
    "<input type='hidden' name='page' value='$page' />" .
    "&nbsp;<input type='submit' value='現在学習モードです' style='background-color:pink;' />" .
    "</form>";
 } else {
  // 送信モード時
  $str =
    "<form action='$script' method='post' style='display:inline'>" .
    "<input type='hidden' name='cmd' value='irmode' />" .
    "<input type='hidden' name='page' value='$page' />" .
    "&nbsp;<input type='submit' value='現在送信モードです' style='$stl' />" .
    "</form>";
 }  

  return $str;
}


/* ボタンが押されたときに呼び出される */
function plugin_irmode_action() {

  global  $vars,$script;
  $tgl = "irdata\\LMODETGL";

  // トグルファイルの存在を反転
  if (file_exists($tgl)) {
    unlink($tgl);
  } else {
    touch($tgl);
  }
  

  /* 空配列を返すと呼び出し元のページが表示される*/
  return array('msg'=>'', 'body'=>'');
}
?>
